libzypp 17.37.10

MediaManager.h File Reference
`#include <zypp-core/Globals.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/Pathname.h>`
`#include <zypp/PathInfo.h>`
`#include <zypp-core/MirroredOrigin.h>`
`#include <zypp-core/OnMediaLocation>`
`#include <zypp/media/MediaSource.h>`
`#include <zypp-media/MediaException>`
`#include <list>`

Go to the source code of this file.

## Classes
class | zypp::media::MediaVerifierBase
| Interface to implement a media verifier. More...
class | zypp::media::NoVerifier
| Dummy default media verifier, which is always happy. More...
class | zypp::media::MediaManager
| Manages access to the 'physical' media, e.g CDROM drives, Disk volumes, directory trees, etc, using Media Access Url's. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::media

## Typedefs
using | zypp::media::MediaNr = unsigned int
using | zypp::media::MediaVerifierRef = zypp::RW_pointer<MediaVerifierBase>
| A shared reference to the MediaVerifier implementation.